@import '../../assets/styles/common';

.profile {
  &__frame {
    position: relative;
    width: 19.7rem;
    height: 19rem;
    cursor: pointer;
  }

  &__loader {
    position: absolute;
    top: 7.7rem;
    left: 9.5rem;
  }

  &__picture {
    position: absolute;
    top: 1.8rem;
    left: 4rem;
    width: 15.5rem;
    height: 15.5rem;
    border-radius: 50%;
  }

  &__wrapper {
    display: flex;
    justify-content: center;
    position: relative;
    width: 23rem;
    height: 24rem;
    margin: 0 auto;
  }

  &__upload {
    &-img-text {
      top: 100%;
      left: 0;
      height: 1.6rem;
      margin: auto;
      font-size: 1.6rem;
      color: $red;
    }

    &-avatar {
      display: flex;
      flex-direction: column;
      position: relative;
      width: 100%;
      text-align: center;

      &-label {
        display: block;
        margin-top: 1rem;
        font-style: Italic;
        font-size: 2.3rem;
        text-align: center;
        opacity: 1;
        cursor: pointer;
        letter-spacing: 0;
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    &__wrapper {
      width: 20rem;
      height: 17rem;
      padding: 3rem;
    }

    &__upload {
      &-avatar {
        &-label {
          font-size: 1.8rem;
        }
      }

      &-img-text {
        width: 100%;
      }
    }

    &__picture {
      top: 4.8rem;
      left: 6rem;
      width: 14rem;
      height: 13rem;
    }

    &__frame {
      width: 16rem;
      height: 16rem;
    }
  }
}

.image__upload {
  display: none;
}
